Name: pam_radius
Summary: PAM Module for RADIUS Authentication
Version: 2.0.0
Release:    1%{?dist}
License: GPL-2.0-or-later
URL: http://www.freeradius.org/pam_radius_auth/

Source0: ftp://ftp.freeradius.org/pub/radius/pam_radius-%{version}.tar.gz
Requires: pam
BuildRequires: make
BuildRequires: pam-devel
BuildRequires: gcc

Patch1: pam_radius_auth-conffile-location.patch
Patch2: radius-conffile-location.patch
Patch3: pam_radius_auth-conf-inlinedoc.patch
Patch4: INSTALL-doc.patch
Patch5: pam_radius_auth-stop-printing-password.patch
Patch6: pam-radius-auth-ip-conf.patch

%description
pam_radius is a PAM module which allows user authentication using 
a radius server.

%prep
%setup -q -n pam_radius-release_2_0_0
%patch 1
%patch 2
%patch 3
%patch 4
%patch 5 -p1 -b .stop-printing-password
%patch 6 -p1 -b .auth-ip-conf

%build
%configure --enable-werror
make %{?_smp_mflags} CFLAGS="%{optflags} -Wall -fPIC -Wno-unused-but-set-variable -Wno-strict-aliasing"

%install
mkdir -p %{buildroot}/%{_lib}/security
install -p pam_radius_auth.so %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}%{_sysconfdir}
install -p pam_radius_auth.conf %{buildroot}%{_sysconfdir}/pam_radius.conf


%files
%doc README.rst INSTALL USAGE LICENSE Changelog
%config(noreplace) %attr(0600, root, root) %{_sysconfdir}/pam_radius.conf
/%{_lib}/security/pam_radius_auth.so

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
